% filtrage_mgl
% Ivan LIEBGOTT @ Dcembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Ce script permet de tester la fonction filtre_mgl(Y,n) qui permet de
% filtrer un signal en utilisant le principe de la moyenne glissante
% Le test est ralis sur le signal issu d'un codeur
%%
% Effacement des variables du workspace
clear all;

% chargement des donnes correspondant au signal du codeur et au temps dans
% le workspace
load filtrage_mgl.mat;

% spcification du nombre de points  prendre en compte pour le calcul de
% la moyenne
n = 50;
% cration d'une nouvelle fentre graphique
fig = figure('Units','centimeters','Position',[2 5 35 25]);
set(fig,'Color','white');
hold all;

% calcul du signal filtr  l'aide de la fonction filtre_mgl
pos_mgl = filtre_mgl(position_codeur,n);

% Trac des signaux filtrs et non filtr dans la mme fentre graphique
plot(t,pos_mgl);
plot(t,position_codeur);
grid on; grid minor;
legend('signal brut','signal filtr','Location','northwest');
title('Filtrage d''un signal en utilisant un filtre  moyenne glissante avec n=' + string(n));
