%% Euler
% Ivan LIEBGOTT @ Dcembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Rsolution d'une quation diffrentielle du premier ordre en utilisant
% la mthode d'Euler
% 
% la fonction F(y,t) est stocke dans la fonction F_1.m
%% dfinition de l'intervalle d'tude  [a;b] de la fonction considre
a = 0;
b = 30;

%spcification du nombre de points
nb_points = 100;

%% Rsolution d'une quation diffrentielle du premier ordre

% spcification de la condition initiale
y0 = 0;
% Rsolution avec fEuler
[t,y] = fEuler(@F_1,a,b,y0,nb_points);

figure; hold all
plot(t,y,'LineWidth',2);
grid on; grid minor;
title({'Solution numrique d''une quation diffrentielle' ;  'du premier ordre (mthode d''Euler)'})
legend(string(nb_points) + ' points sont calculs ')
axis([0 30 0 12]);

