%% F_1.m
% Ivan LIEBGOTT @ Dcembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% F_1.m contient l'expression de la fonction F(t,y) utilise pour rsoudre
% une quation diffrentielle en utilisant la mthode d'Euler
% cette fonction correcpond  l'quation diffrentielle suivante:
% 5.dy/dt + y = 10
% dy/dt = F(t,y)= (10 - y) / 5

function f = F_1(t,y);
f = (10 - y) / 5;
end
 