%% script_0
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Ce script permet de tracer une srie de courbes en faisant varier un paramtre
% L'quation de la courbe est stocke dans la fonction my_2_function.m

% cration d'une nouvelle fentre graphique
figure;
hold on;

% cration du vecteur des temps
t = [0:0.001:60];

% boucle permettant le trac avec la variation du paramtre
for k = 5:5:40
plot(t,my_2_function(t,k),'LineWidth',2); % appel de la fonction
end

% affichage de la grille
grid on;
grid minor;

% titre et tiquettes des axes
title('sin(t)*exp(-t/a)','Color','red');
xlabel('Temps','Color','blue');
ylabel('Valeur du sinus','Color','blue');
