%% Newton.m
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Recherche par la mthode de Newton de la solution de l'quation f(x)=0 
% autour de la valeur x0 avec une prcision espilon
% La courbe y = f(x) est trace
% L'utilisateur peut alors spcifier la valeur de x0 permettant de dmarrer
% le processus de recherche de solution ainsi que la prcision epsilon
% souhaite
%% Trac de la fonction dont on cherche les racines par la mthode de Newton
figure;
ezplot(@f2);
grid on; grid minor;

% affichage des axes sur le graphique
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';

%% Spcification de la valeur de x0 permettant de dmarrer le processus de 
% recherche de la solution f(x)=0 et de la prcision souhaite espilon

disp('La solution de l''quation f(x)=0 est recherche par la mthode de Newton autour de la valeur x0');
x0 = input('Saisir la valeur de x0: ');
disp('La recherche de la solution se fera avec une prcision epsilon: ');
eps = input('Spcifier la valeur de epsilon: ');

%% Appel de la fonction fNewton et affichage du rsultat
tic;
sol = fNewton(@f2,x0,eps);
t_dicho = toc;
reponse = ['La solution de l''quation f(x)=0  autour de x=',num2str(x0),' est: ', num2str(sol)];
disp(reponse);
temps = ['Le temps ncessaire au calcul est de ',num2str(t_dicho),' secondes'];
disp(temps);






