%% dichotomie.m
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Recherche par dichotomie de la solution de l'quation f(x)=0 dans
% l'intervalle [a;b] avec une prcision espilon
% La courbe y = f(x) est trace
% L'utilisateur peut alors spcifier l'intervalle [a;b] de recherche de la
% solution et la prcision epsilon souhiate
% la fonction f(x) est stocke dans la fonction f2.m
%% Trac de la fonction dont on cherche les racines par dichotomie
figure;
ezplot(@f2);
grid on; grid minor;

% affichage des axes sur le graphique
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';

%% Spcification de l'intervalle [a;b] de recherche de la solution f(x)=0 et de la prcision souhaite espilon

disp('La solution de l''quation f(x)=0 est recherche par dichotomie dans l''intervalle [a;b]');
a = input('Saisir la valeur de a: ');
b = input('Saisir la valeur de b: ');
disp('La recherche de la solution se fera avec une prcision epsilon: ');
eps = input('Spcifier la valeur de epsilon: ');

%% Appel de la fonction fdichotomie et affichage du rsultat

% dmarrage du compteur pour valuer le temps d'excution de la fonction
tic;

% appel de la fonction fdichotomie
sol = fdichotomie(@f2,a,b,eps);

% cration de la variable t_dicho contenant le temps d'excution de la
% fonction
t_dicho = toc;

% affichage de la solution et du temps ncessaire  l'excution de la
% fonction
reponse = ['La solution de l''quation f(x)=0 dans l''intervalle [',num2str(a),...
    ';',num2str(b),'] est: ', num2str(sol)];
disp(reponse);
temps = ['Le temps ncessaire au calcul est de ',num2str(t_dicho),' secondes'];
disp(temps);






