%% fdichotomie.m
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Cette fonction renvoie la solution de l'quation f(x)=0 recherche dans
% l'intervalle [a;b] avec une prcision epsilon en utilisant la mthode de
% dichotomie

function sol = fdichotomie(f,a,b,epsilon)
while (b-a) > epsilon
    m = (a+b)/2;
    if f(a) * f(m) > 0
        a = m;
    else
        b = m;
    end
    end
sol = (a+b)/2;
end





