% dfinition de l'intervalle d'tude  [a;b] de la fonction considre
a = -40;
b = 40;

% spcification du nombre de points
nb_points = 10000;

h= (b-a) / nb_points;

%% Rsolution
% spcification des conditions initiales CI = [y0 dydt0]
y0 = 3;

% Rsolution avec my_ode
[t_my_ode,sol_my_ode] = my_ode(@F_exemple_1,a,b,y0,nb_points);

% Rsolution avec ode23
tspan = [a:h:b];
[t_ode23,sol_ode23] = ode23(@F_exemple_1,tspan,y0);

figure;
hold all;
plot(t_my_ode,sol_my_ode(:,1),'b');
plot(t_ode23,sol_ode23(:,1),'k--','LineWidth',2);
grid on; grid minor;
title('Comparaison des solveurs pour la rsolution d''une quation diffrentielle du second ordre');

legend('solution calcule avec my ode','Solution calcule avec ode23');

%% %% Rsolution
% spcification des conditions initiales CI = [y0 dydt0]
y0 = 3;

% Rsolution avec my_ode
[t_my_ode,sol_my_ode] = my_ode(@F_exemple_2,a,b,y0,nb_points);

% Rsolution avec ode23
tspan = [a:h:b];
[t_ode23,sol_ode23] = ode23(@F_exemple_2,tspan,y0);

figure;
hold all;
plot(t_my_ode,sol_my_ode(:,1),'b');
plot(t_ode23,sol_ode23(:,1),'k--','LineWidth',2);
grid on; grid minor;
title('Comparaison des solveurs pour la rsolution d''une quation diffrentielle du second ordre');

legend('solution calcule avec my ode','Solution calcule avec ode23');
