%% X = Pivot_de_Gauss(A,B)
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Algorithme de rsolution d'un systme d'quation linaire en utilisant la
% mthode du pivot de Gauss
% le systme est de la forme [A][X] = [B]
% On forme la matrice augmente

function X = Pivot_de_Gauss(A,B)
% concatnation de A et de B pour former la matrice augmente M
M = [A B];

% triangularisation de M
M = triangularisation (M);

% rsolution de M
X = resolution(M)
end


