%% n = num_ligne_pivot(A,num_col)
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Cette fonction est utilise par le script Pivot_de_Gauss.m
% Recherche la ligne correspondant au plus grand pivot de la colonne 
% num_col pour la matrice A

function n = num_ligne_pivot(A,num_col);

% affectation du nombre de lignes et du nombre de colonnes de la matrice
[nb_lignes, nb_colonnes] = size(A);

% affectation du pivot provisoire  la ligne correspondant  num_col. La
% ligne du pivot provisoire correspond  la colonne de recherche
n = num_col;

% on parcourt la colonne en effectuant une comparaison lment par lment
for k = num_col:1:nb_lignes
    if abs(A(k,num_col)) > abs(A(n,num_col))
        % on rcupre la valeur du pivot si l'lment compar est plus
        % grand que le pivot mmoris
        n = k;     
    end 
end
end




        
    
