
%--------------------------------------------------------------  
    clc %efface la fentre de commande

%-------------------------------------------------------------- 


load ('Reponse_indicielle.txt') % On charge le fichier texte



t = Reponse_indicielle(:,1); %On cre le vecteur colonne t : temps
x = Reponse_indicielle(:,3); %On cre le vecteur colonne x : position relle
v= Reponse_indicielle(:,9); %On cre le vecteur colonne v : vitesse relle
u= Reponse_indicielle(:,7); %On cre le vecteur colonne u : tension moteur

%visualisation des donnes

figure;
subplot(2,1,1);
plot(t,u,'LineWidth',2);
grid on;
title('grandeur d''entree: tension moteur')


subplot(2,1,2);
plot(t,v,'r','LineWidth',2);
grid on;
title('grandeur de sortie: vitesse linaire de l''axe')

%% Cration d'un lment iddata pour l'identification par ligne de commande
mydata=iddata(v,u,0.01);

% Identification par une fonction de transfert avec 2 ple et 0 zro
sys = tfest(mydata,2,0)




